CustomSignalPropagation< T > Class Template Referenceabstract

Interface for custom flush signals. More...

`#include <simple.h>`

Inheritance diagram for CustomSignalPropagation< T >:

## Public Member Functions

virtual void | Initialize (const NameValuePairs &parameters=g_nullNameValuePairs, int propagation=-1)=0
| Initialize or reinitialize this object, with signal propagation.
Public Member Functions inherited from CustomFlushPropagation< T >
virtual bool | Flush (bool hardFlush, int propagation=-1, bool blocking=true)=0
| Flush buffered input and/or output, with signal propagation.

## Detailed Description

template<class T>
class CustomSignalPropagation< T >

Interface for custom flush signals.

Template Parameters

  T | BufferedTransformation derived class

Definition at line 293 of file simple.h.

## Member Function Documentation

## Initialize()

template<class T >

virtual void CustomSignalPropagation< T >::Initialize | ( | const NameValuePairs & | parameters = `g_nullNameValuePairs`,
|  | int | propagation = `-1`
| ) |  |

pure virtual

Initialize or reinitialize this object, with signal propagation.

Parameters

  parameters | a set of NameValuePairs to initialize or reinitialize this object
  propagation | the number of attached transformations the Initialize() signal should be passed

Initialize() is used to initialize or reinitialize an object using a variable number of arbitrarily typed arguments. The function avoids the need for multiple constructors providing all possible combintations of configurable parameters.

propagation count includes this object. Setting propagation to `1` means this object only. Setting propagation to `-1` means unlimited propagation.

Implemented in Redirector, and OutputProxy.

The documentation for this class was generated from the following file:

- simple.h